Debian Bug report logs - #238245
Open Publication License is not DFSG Free

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>

Date: Sat, 10 May 2003 01:33:01 UTC

Severity: serious

Tags: sid

Done: David Prévot <taffit@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@vega.ocn.ne.jp>:
New Bug report received and forwarded. Copy sent to James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Debian WWW Pages License is incompatible with the GNU GPL
Date: Sat, 10 May 2003 10:19:38 +0900 (JST)
Package: www.debian.org
Severity: wishlist

Debian WWW Pages are distributed under the Open Publication
License.  However, it is incompatible with the GNU GPL.

I hope that the Debian WWW Pages will be clearly free and
compatible with the GNU GPL.

See also debian-legal archive:

http://lists.debian.org/debian-legal/2003/debian-legal-200305/threads.html#00003

-- 
Tatsuya Kinoshita



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <alfie@ist.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 192748@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <alfie@ist.org>
To: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>, 192748@bugs.debian.org
Subject: Re: Bug#192748: Debian WWW Pages License is incompatible with the GNU GPL
Date: Mon, 12 May 2003 11:09:56 +0200
[Message part 1 (text/plain, inline)]
* Tatsuya Kinoshita <tats@vega.ocn.ne.jp> [2003-05-10 10:19]:
> Debian WWW Pages are distributed under the Open Publication
> License.  However, it is incompatible with the GNU GPL.

 Must it be?

> I hope that the Debian WWW Pages will be clearly free

 The Debian WWW Pages _are_ free. They are just not

> compatible with the GNU GPL.

 Our guidelines doesn't enforce being compatible with the GPL. There are
quite some packages in main that are not compatible with the GPL. I
don't see the real problem here.

 Have fun,
Alfie
-- 
-!- Gromitt_ is now known as Gromitt
<Getty> oh scheisse, gromitt wird wach
<Getty> da hab ich jetzt soviele lines gemacht in den letzten 24 std.
<Getty> und jetzt kommt der wieder ;)            -- #debian.de
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@vega.ocn.ne.jp>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 192748@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>
To: 192748@bugs.debian.org
Subject: Re: Bug#192748: Debian WWW Pages License is incompatible with the GNU GPL
Date: Mon, 12 May 2003 20:01:35 +0900 (JST)
On May 12, 2003 at 11:09AM +0200,
Gerfried Fuchs <alfie@ist.org> wrote:

>  Our guidelines doesn't enforce being compatible with the GPL. There are
> quite some packages in main that are not compatible with the GPL.

Right.  This is my wish, so I set Severity to "wishlist" already.

> > I hope that the Debian WWW Pages will be clearly free
> 
>  The Debian WWW Pages _are_ free.

The Open Publication License seems to have a problem.  It is
similar to the GNU FDL.

In the debian-legal mailing list:

On May 1, 2003 at 11:00AM -0700,
Mark Rafn <dagon@dagon.net> wrote:

> > The Open Publication License (http://opencontent.org/openpub/)
> > v1.0 says:

> > | The publisher
> > | and author's names shall appear on all outer surfaces of the
> > | book. On all outer surfaces of the book the original
> > | publisher's name shall be as large as the title of the work and
> > | cited as possessive with respect to the title.
> 
> This would likely not be accepted for software.  There's currently some 
> debate (heh) on whether documentation can be considered free with this 
> kind of restriction and whether there is a category of things that are 
> not software which Debian should distribute even if they're not free.
> 
> My personal opinion is that this clause makes any work released under 
> this license non-free, and Debian shouldn't distribute it. 

On May 7, 2003 at 2:41AM -0500,
Branden Robinson <branden@debian.org> wrote:

> On Thu, May 01, 2003 at 11:00:41AM -0700, Mark Rafn wrote:
> > > | The publisher
> > > | and author's names shall appear on all outer surfaces of the
> > > | book. On all outer surfaces of the book the original
> > > | publisher's name shall be as large as the title of the work and
> > > | cited as possessive with respect to the title.

> Hm.  I think have said in the past that the OPL was Free if neither of
> its license options were exercised.  However the above quoted text from
> the license is not conditional, and is part of all instantiations of the
> OPL.
> 
> I hereby retract any previous unequivocal statements I made about the
> OPL's DFSG-freeness when neither license option is exercised.
> 
> I am not yet willing to make a new unequivocal statement to replace it.
> My thoughts on this issue will probably hitched to the GNU FDL Cover
> Texts issue, but I need more time to reflect on the subject.

-- 
Tatsuya Kinoshita



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 192748@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: 192748@bugs.debian.org
Subject: Re: Bug#192748: Debian WWW Pages License is incompatible with the GNU GPL
Date: Mon, 12 May 2003 15:54:37 +0200
[Message part 1 (text/plain, inline)]
On Mon, May 12, 2003 at 08:01:35PM +0900, Tatsuya Kinoshita wrote:
> 
> The Open Publication License seems to have a problem.  It is
> similar to the GNU FDL.

It doesn't unless you enforce some options (as with the GFDL) please read
http://www.debian.org/doc/manuals/ddp-policy/ch-common.en.html#s2.2

Regards

Javi
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@srce.hr>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 192748@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@srce.hr>
To: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>, 192748@bugs.debian.org
Subject: Re: Bug#192748: Debian WWW Pages License is incompatible with the GNU GPL
Date: Mon, 12 May 2003 23:17:24 +0200
On Mon, May 12, 2003 at 08:01:35PM +0900, Tatsuya Kinoshita wrote:
> >  Our guidelines doesn't enforce being compatible with the GPL. There are
> > quite some packages in main that are not compatible with the GPL.
> 
> Right.  This is my wish, so I set Severity to "wishlist" already.

Okay, we get that, but what is the benefit of being compatible with the GPL?
Is it e.g. impossible to distribute copies of our web pages with
GPL-licensed programs?

I'm asking because we're quite unlikely to ever fulfil such a wish unless
some strong reason for it. It's not trivial to track down each and every
person who ever submitted stuff to the web pages and ACK a licence change.

(Overriding Mail-Followup-To: because I can't seem to find you on either
debian-www list membership list or the PTS...)

-- 
     2. That which causes joy or happiness.



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@vega.ocn.ne.jp>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 192748@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>
To: 192748@bugs.debian.org
Subject: Re: Bug#192748: Debian WWW Pages License is incompatible with the GNU GPL
Date: Tue, 13 May 2003 19:03:28 +0900 (JST)
On May 12, 2003 at 11:17PM +0200,
Josip Rodin <joy@srce.hr> wrote:

> what is the benefit of being compatible with the GPL?
> Is it e.g. impossible to distribute copies of our web pages with
> GPL-licensed programs?

I think that a work which derives from both an Open Publication
Licensed work and a GNU GPLed work cannot be distributed.

The Open Publication License seems to be a copyleft license.

Even if it is not a copyleft license, the following requirements
conflict with the GNU GPL.

The Open Publication License (http://opencontent.org/openpub/)
v1.0 says:

| I. REQUIREMENTS ON BOTH UNMODIFIED AND MODIFIED VERSIONS

| Any publication in standard (paper) book form shall require the
| citation of the original publisher and author. The publisher
| and author's names shall appear on all outer surfaces of the
| book. On all outer surfaces of the book the original
| publisher's name shall be as large as the title of the work and
| cited as possessive with respect to the title.

| IV. REQUIREMENTS ON MODIFIED WORKS

| 4. The location of the original unmodified document must be identified.

    *

> (Overriding Mail-Followup-To: because I can't seem to find you on either
> debian-www list membership list or the PTS...)

I should say that I'm reading this thread via debian-www archive.

-- 
Tatsuya Kinoshita



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 192748@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 192748@bugs.debian.org
Subject: Re: Bug#192748: Debian WWW Pages License is incompatible with the GNU GPL
Date: Tue, 13 May 2003 11:49:55 +0100
On Tue, May 13, 2003 at 07:03:28PM +0900, Tatsuya Kinoshita wrote:
> On May 12, 2003 at 11:17PM +0200,
> Josip Rodin <joy@srce.hr> wrote:
> > what is the benefit of being compatible with the GPL?
> > Is it e.g. impossible to distribute copies of our web pages with
> > GPL-licensed programs?
> 
> I think that a work which derives from both an Open Publication
> Licensed work and a GNU GPLed work cannot be distributed.

Aggregation, though, is usually not a problem. If you just happen to be
distributing the two together then that's fine.

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 192748@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: 192748@bugs.debian.org
Cc: debian-legal@lists.debian.org
Subject: Re: Debian-legal summary of the OPL
Date: Mon, 15 Mar 2004 20:13:14 -0800
[Message part 1 (text/plain, inline)]
clone 192748 -1
retitle -1 Open Publication License is not DFSG Free
severity -1 serious
thanks 

debian-legal has recently reconsidered the OPL and has determined that
it is a license that is not free.[1]

This means that the debian webpages should have their license changed,
assuming this is possible and that those who hold copyrights agree.

As such, I am cloning the wishlist bug where this issue was first
alluded to, retitling the clone, and setting it's severity to serious.


Don Armstrong

1: http://people.debian.org/~terpstra/message/20040312.160816.9f618d1f.html
-- 
This can't be happening to me. I've got tenure.
 -- James Hynes _Publish and Perish_

http://www.donarmstrong.com
http://rzlab.ucr.edu
[signature.asc (application/pgp-signature, inline)]

Bug 192748 cloned as bug 238245. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious'. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #51 received at 238245@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: debian-legal@lists.debian.org
Cc: 238245@bugs.debian.org
Subject: Re: Bug#192748: Debian-legal summary of the OPL
Date: Tue, 16 Mar 2004 10:28:42 -0800
[Message part 1 (text/plain, inline)]
On Tue, 16 Mar 2004, Frank Lichtenheld wrote:
> [I readded the bug report to CC despite of the contradicting MFT,
> since it doesn't make sense to exclude it]

Yeah, I didn't include it because I didn't know what the clone's bug
number was going to be... it's included and set appropriately now.
 
> On Mon, Mar 15, 2004 at 08:13:14PM -0800, Don Armstrong wrote:
> > debian-legal has recently reconsidered the OPL and has determined that
> > it is a license that is not free.[1]
> > 
> > This means that the debian webpages should have their license changed,
> > assuming this is possible and that those who hold copyrights agree.
> 
> Hmm, I'm a bit uncertain about the copyright of the webpages:
>  From the footer of the webpages I would conclude that SPI holds the
>  copyright on all content of the Debian webpages, is this right?

One would assume so, but I'm really not sure, considering that most of
the bits of code don't have any copyright statements at all.

>  Is this legally safe without explicit statements from the authors of
>  that content?

Probably not, actually.

>  The scripts that generate the webpages have different copyrights
>  and licences but I think this is ok, isn't it? (The ones that carry
>  copyright notices with them seem to be GPL licenced, so they aren't
>  affected by this bug.

Yeah, so long as they are DFSG free licenses (GPL being one of those)
it shouldn't be a big deal.

> If my conclusion above are right, I think the SPI board has to
> handle that bug...

I think we'll need the SPI board to make some sort of a determination,
and it probably would be a good idea for the www.debian.org team to
make some sort of copyright assignment to SPI, probably along the
lines of what the FSF does. [I would imagine that the copyright could
be granted to SPI, and then the SPI could license back the work to the
author with generous terms (sublicense under different terms, modify,
distribute, etc.) so that the original author could do just about
anything that they want to do with the work besides sue for copyright
infringement. [The SPI would have to take on that task...]


Don Armstrong

-- 
[Panama, 1989. The U.S. government called it "Operation Just Cause".]
I think they misspelled this. Shouldn't it be "Operation Just 'Cause"?
 -- TekPolitik http://slashdot.org/comments.pl?sid=59669&cid=5664907

http://www.donarmstrong.com
http://www.anylevel.com
http://rzlab.ucr.edu
[signature.asc (application/pgp-signature, inline)]

Tags added: sid Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Tommi Vainikainen <thv@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #58 received at 238245@bugs.debian.org (full text, mbox):

From: Tommi Vainikainen <thv@iki.fi>
To: debian-legal@lists.debian.org
Cc: 238245@bugs.debian.org
Subject: Debian website's copyright and license suggestions?
Date: Sun, 16 Oct 2005 20:17:35 +0300
Hello members of debian-legal,

It isn't currently well known that Debian website's license is Open
Publication License, which has been judged to be non-free, and
therefore needs to be changed.

Currently web pages are "Copyright © 1997-2005 SPI" and license terms
linking to Open Publication license are available at
<URL: http://www.de.debian.org/license >. However SPI has not been
collecting any paper work to transfer copyrights like FSF does, and
probably many contributors do not even know about that their work is
automatically copyrighted by SPI.

So basically there is two questions:

Does missing paperwork create a problem?

And what would be good license for Debians web pages? (This is about
content, the scripts used in generation are GNU GPL or otherwise
freely licensed.)

Because copyright is currently claimed by SPI Inc, and SPI's board
meeting is coming rather soon, I brought this issue to SPI's
secretarys attention, but SPI board would appreciate some suggestion
what they should decide about license change.

I've Cc'ed the bug report about the issue, but Mail-followups does not
contain bug report. Add it if needed, please.

-- 
Tommi Vainikainen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@winstonsmith.info>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #63 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@winstonsmith.info>
To: Tommi Vainikainen <thv@iki.fi>
Cc: debian-legal@lists.debian.org, 238245@bugs.debian.org
Subject: Re: Debian website's copyright and license suggestions?
Date: Sun, 16 Oct 2005 23:24:00 +0200
[Message part 1 (text/plain, inline)]
On Sun, 16 Oct 2005 20:17:35 +0300 Tommi Vainikainen wrote:

> Hello members of debian-legal,

Hi!

> 
> It isn't currently well known that Debian website's license is Open
> Publication License, which has been judged to be non-free, and
> therefore needs to be changed.

Indeed.

> 
> Currently web pages are "Copyright © 1997-2005 SPI" and license terms
> linking to Open Publication license are available at
> <URL: http://www.de.debian.org/license >. However SPI has not been
> collecting any paper work to transfer copyrights like FSF does, and
> probably many contributors do not even know about that their work is
> automatically copyrighted by SPI.
> 
> So basically there is two questions:
> 
> Does missing paperwork create a problem?

I think it does, unfortunately.

Each copyright holder should be tracked, contacted and asked for a
signed copyright assignment paper.
Then SPI will be able to relicense the website.

A less difficult solution is avoiding copyright assignements and simply
asking for a license change: each copyright holder should be tracked,
contacted and asked to agree with the relicensing.

The latter solution is (relatively) easier, since contributors must be
tracked and contacted anyway, but a permission to relicense can be
obtained via e-mail, while a copyright assignment must be done in a
written and signed (deadtree) paper, AFAIK.

> 
> And what would be good license for Debians web pages? (This is about
> content, the scripts used in generation are GNU GPL or otherwise
> freely licensed.)

My recommendations are:


 GNU GPL v2
 ----------
 (http://www.fsf.org/licensing/licenses/gpl.txt)
 if copyleft is desired


 Expat a.k.a. MIT
 ----------------
 (http://www.jclark.com/xml/copying.txt)
 if copyleft is not perceived as important and/or maximum license
 compatibility is desired


> 
> Because copyright is currently claimed by SPI Inc, and SPI's board
> meeting is coming rather soon, I brought this issue to SPI's
> secretarys attention, but SPI board would appreciate some suggestion
> what they should decide about license change.

Good, thanks for working on this issue!

> 
> I've Cc'ed the bug report about the issue, but Mail-followups does not
> contain bug report. Add it if needed, please.

Added.

-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Bas Zoetekouw <bas@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #68 received at 238245@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: debian-legal@lists.debian.org, thv@iki.fi, 238245@bugs.debian.org
Subject: Re: Debian website's copyright and license suggestions?
Date: Mon, 17 Oct 2005 00:28:47 +0200
Hi Francesco!

You wrote:

> A less difficult solution is avoiding copyright assignements and simply
> asking for a license change: each copyright holder should be tracked,
> contacted and asked to agree with the relicensing.

I'm afraid that this will turn out to be infeasable.  Lots and lots of
people have contributed to the webpages.  To make it even worse, a lots
of translators used to work though general cvs accounts (like "dutch" or
"french"), making it even harder to find out who did what.

-- 
Kind regards,
+--------------------------------------------------------------------+
| Bas Zoetekouw              | GPG key: 0644fab7                     |
|----------------------------| Fingerprint: c1f5 f24c d514 3fec 8bf6 |
| bas@o2w.nl, bas@debian.org |              a2b1 2bae e41f 0644 fab7 |
+--------------------------------------------------------------------+ 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #73 received at 238245@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: <debian-legal@lists.debian.org>,<238245@bugs.debian.org>
Subject: Re: Bug#238245: Debian website's copyright and license suggestions?
Date: Mon, 17 Oct 2005 11:41:39 +0100
Tommi Vainikainen <thv@iki.fi>

> Does missing paperwork create a problem?

Strictly speaking, yes.

> And what would be good license for Debians web pages?

MIT/Expat or GNU GPL.

> Because copyright is currently claimed by SPI Inc, and SPI's board
> meeting is coming rather soon, I brought this issue to SPI's
> secretarys attention, but SPI board would appreciate some suggestion
> what they should decide about license change.

I see it will be discussed at the board meeting at
http://www.spi-inc.org/secretary/agenda/2005-10-18.html

Best wishes,
-- 
MJ Ray (slef), Lynn, England, to email see http://mjr.towers.org.uk/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@winstonsmith.info>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #78 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@winstonsmith.info>
To: debian-legal@lists.debian.org
Cc: thv@iki.fi, 238245@bugs.debian.org
Subject: Re: Debian website's copyright and license suggestions?
Date: Tue, 18 Oct 2005 00:38:51 +0200
[Message part 1 (text/plain, inline)]
On Mon, 17 Oct 2005 00:28:47 +0200 Bas Zoetekouw wrote:

> Hi Francesco!
> 
> You wrote:
> 
> > A less difficult solution is avoiding copyright assignements and
> > simply asking for a license change: each copyright holder should be
> > tracked, contacted and asked to agree with the relicensing.
> 
> I'm afraid that this will turn out to be infeasable.  Lots and lots of
> people have contributed to the webpages.  To make it even worse, a
> lots of translators used to work though general cvs accounts (like
> "dutch" or "french"), making it even harder to find out who did what.

This is unfortunate, but it will bite regardless of which solution is
chosen (copyright assignment or agreement to relicense).
As I said, both solutions require getting in touch with each current
copyright holder...

-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #83 received at 238245@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 238245@bugs.debian.org
Subject: Re: Bug#238245: Debian website's copyright and license suggestions?
Date: Sun, 23 Oct 2005 03:53:50 -0400
<posted & mailed>

Tommi Vainikainen wrote:

> Hello members of debian-legal,
> 
> It isn't currently well known that Debian website's license is Open
> Publication License, which has been judged to be non-free, and
> therefore needs to be changed.
We know.  ;-)

> Currently web pages are "Copyright © 1997-2005 SPI" and license terms
> linking to Open Publication license are available at
> <URL: http://www.de.debian.org/license >. However SPI has not been
> collecting any paper work to transfer copyrights like FSF does, and
> probably many contributors do not even know about that their work is
> automatically copyrighted by SPI.
Well, actually, it isn't.... see below.

> So basically there is two questions:
> 
> Does missing paperwork create a problem?
Yes.  In the US, without a paper transfer, copyright is retained by the
author (except in work-for-hire cases, which actually might be relevant,
but I doubt it).  That means that the copyright statements on the web pages
are wrong.

> And what would be good license for Debians web pages? (This is about
> content, the scripts used in generation are GNU GPL or otherwise
> freely licensed.)

Either GNU GPL v. 2 or 2-clause BSD or MIT/Expat.  Author's choice, I think.  
There is little harm in having different licenses for different web pages.  
Each time a (manually generated) web page is changed significantly, the 
copyright statement should be updated and the license agreed to by the new 
author.

> Because copyright is currently claimed by SPI Inc, and SPI's board
> meeting is coming rather soon, I brought this issue to SPI's
> secretarys attention, but SPI board would appreciate some suggestion
> what they should decide about license change.

-- 
Nathanael Nerode  <neroden@twcny.rr.com>

"(Instead, we front-load the flamewars and grudges in
the interest of efficiency.)" --Steve Lanagasek,
http://lists.debian.org/debian-devel/2005/09/msg01056.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #88 received at 238245@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: Bas Zoetekouw <bas@debian.org>
Cc: 238245@bugs.debian.org
Subject: Re: Bug#238245: Debian website's copyright and license suggestions?
Date: Sun, 23 Oct 2005 03:56:37 -0400
<posted & mailed>

Bas Zoetekouw wrote:

> Hi Francesco!
> 
> You wrote:
> 
>> A less difficult solution is avoiding copyright assignements and simply
>> asking for a license change: each copyright holder should be tracked,
>> contacted and asked to agree with the relicensing.
> 
> I'm afraid that this will turn out to be infeasable.  Lots and lots of
> people have contributed to the webpages.  To make it even worse, a lots
> of translators used to work though general cvs accounts (like "dutch" or
> "french"), making it even harder to find out who did what.
In that case...

If you can get a legal opinion that the pages were created as
works-for-hire, then SPI actually does hold the copyrights.

Otherwise, you're stuck rewriting the webpages, if you want to be legal.


-- 
Nathanael Nerode  <neroden@twcny.rr.com>

"(Instead, we front-load the flamewars and grudges in
the interest of efficiency.)" --Steve Lanagasek,
http://lists.debian.org/debian-devel/2005/09/msg01056.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #93 received at 238245@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: debian-www@lists.debian.org, 238245@bugs.debian.org
Cc: SPI Board of Directors <board@spi-inc.org>, debian-legal@lists.debian.org
Subject: Proposed plan (and license) for the webpage relicensing
Date: Wed, 19 Apr 2006 13:12:16 +0200
[Message part 1 (text/plain, inline)]
Hi everyone,

I was reviewing the status of #238245 ("Debian web site is licensed under the
OPL which is not considered DFSG-free") and see that there have been no
actions since October last year and no discussion at debian-www. 

In summary: The web pages license content should be changed from the OPL (non
DFSG-free) to some other license (DFSG-free). As it is, the current content
is not GPL compatible (so it cannot be reused, for example, in documentation
produced by the DDP project).

This issue was brought up last in October 2005 to the SPI board and they said
(based on the IRC log [2] there doesn't seem to be any minutes) that
debian-www should tell them what to do. I don't find any other references to 
this in the SPI Board archives.

So, Here's the plan I propose:

a) a proper license should be decided for the website.

   I suggest using a BSD-style license. The attached license is such a
   license. It is  based on the FreeBSD documentation license [3] and
   explicitely mentions translations.  In our case (the website) the
   'source code' is the wml, but I leave references to other sources (SGML,
   XML) that might apply to other documentation that the website might hold.

b) old contributors to the web site (i.e. all that have had CVS access to the
   WWW CVS are for the past 10 years) should be contacted and ask to 
   agree to this license change.

c) a note should be added to the Debian site (as a News item?) describing the
   license change (and the reasons for the change) and giving a 6 month
   period for comments.

d) new contributors during that period should be asked to agree to the
   license change and to transfer (c) to SPI (GPG/PGP signed e-mail would be
   a requisite for contributing, a paper trail would be even best)

e) from here on access to the CVS of the website should be given after
   clearly stating (and getting and agreement) that any and all contributions
   to the CVS, unless specified otherwise with clear (c) statements in the
   code, will be (c) SPI and will be considered "work under contract" 

Does this sound like a reasonable plan? Who can help digging out a list
of contributors and preparing an explanatory e-mail and license change notice
for the website?

Let's please solve this once and for all.

Regards

Javier


[1] http://www.debian.org/doc/manuals/ddp-policy/ch-common.en.html#s2.2
[2] http://www.spi-inc.org/secretary/minutes/20051018.txt
[3] http://www.freebsd.org/copyright/freebsd-doc-license.html
[proposed_debian-www_license.txt (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #98 received at 238245@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: debian-www@lists.debian.org
Cc: 238245@bugs.debian.org, SPI Board of Directors <board@spi-inc.org>, debian-legal@lists.debian.org
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Wed, 19 Apr 2006 08:09:15 -0500
On 19 Apr 2006, Javier Fernández-Sanguino Peña uttered the following:

> In summary: The web pages license content should be changed from the
> OPL (non DFSG-free) to some other license (DFSG-free). As it is, the
> current content is not GPL compatible (so it cannot be reused, for
> example, in documentation produced by the DDP project).

        This is also troublesome since we say i the social contract:
    When we write new components of the Debian system, we will license
    them in a manner consistent with the Debian Free Software Guidelines.

>
> a) a proper license should be decided for the website.
>
> I suggest using a BSD-style license. The attached license is such a
> license. It is based on the FreeBSD documentation license [3] and
> explicitely mentions translations.  In our case (the website) the
> 'source code' is the wml, but I leave references to other sources
> (SGML, XML) that might apply to other documentation that the website
> might hold.

        I would be willing to license my contributions under the
 GPL.  I do not see why translations are any different than another
 wml file added to the combined work, so I don't see why the GPL is
 not a perfectly good license for the wml code.

>
> b) old contributors to the web site (i.e. all that have had CVS
>    access to the WWW CVS are for the past 10 years) should be
>    contacted and ask to   agree to this license change.


        As long as the licenses used are compatible, we may not need a
 common license. Standard footers can be provided for inclusion for
 each page.

> c) a note should be added to the Debian site (as a News item?)
>    describing the license change (and the reasons for the change)
>    and giving a 6 month  period for comments.

        e are following our social contract.  There need be no
 comments period for six months, we should just get on with it.

> d) new contributors during that period should be asked to agree to
>    the license change and to transfer (c) to SPI (GPG/PGP signed
>    e-mail would be a requisite for contributing, a paper trail would
>    be even best) 

        What reason should people assign copyright if the license is
 free?  I have no intention of doing so, for any past or future
 contributions. 

>
> e) from here on access to the CVS of the website should be given
>    after clearly stating (and getting and agreement) that any and
>    all contributions  to the CVS, unless specified otherwise with
>    clear (c) statements in the  code, will be (c) SPI and will be
>    considered "work under contract"  

        No.  While I am willing to change my license to the GPL, if
 you want work under contract, my contract rate is US $250/hour. And I
 have a boilerplate contract agreement you must sign, in order to use
 my work.

> Does this sound like a reasonable plan? Who can help digging out a
> list of contributors and preparing an explanatory e-mail and license
> change notice for the website?

        The copyright assignment does not sound sane, no.

        manoj
-- 
Don't feed the bats tonight.
Manoj Srivastava   <srivasta@debian.org>  <http://www.debian.org/%7Esrivasta/>
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jutta Wrage <jw@witch.westfalen.de>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #103 received at 238245@bugs.debian.org (full text, mbox):

From: Jutta Wrage <jw@witch.westfalen.de>
To: Debian-WWW <debian-www@lists.debian.org>
Cc: 238245@bugs.debian.org, SPI Board of Directors <board@spi-inc.org>, Debian-Legal <debian-legal@lists.debian.org>
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Thu, 20 Apr 2006 01:02:20 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


Am 19.04.2006 um 13:12 schrieb Javier Fernández-Sanguino Peña:

> e) from here on access to the CVS of the website should be given after
>    clearly stating (and getting and agreement) that any and all  
> contributions
>    to the CVS, unless specified otherwise with clear (c) statements  
> in the
>    code, will be (c) SPI and will be considered "work under contract"

No here, too. Many of us will really get in problems with a phrase  
"work under cantract".

greetings

Jutta


- -- 
http://www.witch.westfalen.de
http://witch.muensterland.org

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (Darwin)

iEYEARECAAYFAkRGwX0ACgkQOgZ5N97kHkeREwCguldjU3UX9jkgkoy30qqK2HG8
iw8AoLHM6QCTy1xiUmBN4auhLq2f9r87
=7H1m
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #108 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: debian-legal@lists.debian.org
Cc: debian-www@lists.debian.org, 238245@bugs.debian.org, board@spi-inc.org
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Thu, 20 Apr 2006 01:03:19 +0200
[Message part 1 (text/plain, inline)]
On Wed, 19 Apr 2006 08:09:15 -0500 Manoj Srivastava wrote:

> On 19 Apr 2006, Javier Fernández-Sanguino Peña uttered the following:
[...]
> >
> > a) a proper license should be decided for the website.
> >
> > I suggest using a BSD-style license. The attached license is such a
> > license. It is based on the FreeBSD documentation license [3] and
> > explicitely mentions translations.  In our case (the website) the
> > 'source code' is the wml, but I leave references to other sources
> > (SGML, XML) that might apply to other documentation that the website
> > might hold.
> 
>         I would be willing to license my contributions under the
>  GPL.  I do not see why translations are any different than another
>  wml file added to the combined work, so I don't see why the GPL is
>  not a perfectly good license for the wml code.

I agree that the GNU GPL v2 would be a perfectly reasonable choice for
the Debian website.
Several other GPLv2-compatible licenses are good choices too, however.

Out of curiousity, would you be willing to license your contributions
under "GPLv2 only"?
Or would you rather choose to license them under "GPLv2 or later"?

> 
> >
> > b) old contributors to the web site (i.e. all that have had CVS
> >    access to the WWW CVS are for the past 10 years) should be
> >    contacted and ask to   agree to this license change.
> 
> 
>         As long as the licenses used are compatible, we may not need a
>  common license. Standard footers can be provided for inclusion for
>  each page.

That's a possible approach too.
It requires more care and is somewhat more complicated, though.

[...]
> > d) new contributors during that period should be asked to agree to
> >    the license change and to transfer (c) to SPI (GPG/PGP signed
> >    e-mail would be a requisite for contributing, a paper trail would
> >    be even best) 
> 
>         What reason should people assign copyright if the license is
>  free?  I have no intention of doing so, for any past or future
>  contributions.

Agreed.


-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #113 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: debian-legal@lists.debian.org
Cc: debian-www@lists.debian.org, 238245@bugs.debian.org, board@spi-inc.org
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Thu, 20 Apr 2006 00:56:57 +0200
[Message part 1 (text/plain, inline)]
On Wed, 19 Apr 2006 13:12:16 +0200 Javier Fernández-Sanguino Peña wrote:

> 
> Hi everyone,
> 
> I was reviewing the status of #238245 ("Debian web site is licensed
> under the OPL which is not considered DFSG-free") and see that there
> have been no actions since October last year and no discussion at
> debian-www.

Hi!
Thanks for working on this issue, that really deserves a clear solution.

> 
> In summary: The web pages license content should be changed from the
> OPL (non DFSG-free) to some other license (DFSG-free). As it is, the
> current content is not GPL compatible (so it cannot be reused, for
> example, in documentation produced by the DDP project).

Agreed.

[...]
> So, Here's the plan I propose:
> 
> a) a proper license should be decided for the website.

Agreed.

> 
>    I suggest using a BSD-style license. The attached license is such a
>    license. It is  based on the FreeBSD documentation license [3] and
>    explicitely mentions translations.  In our case (the website) the
>    'source code' is the wml, but I leave references to other sources
>    (SGML, XML) that might apply to other documentation that the
>    website might hold.

I do *not* think that the license you are proposing is a good one.

It's not technology-neutral: what if I convert pages from WML to, say,
XHTML and go on modifying XHTML by hand? The new source form for the
derived work is XHTML, but the license does not consider it as
"source"!

Clause 1 restricts where the license text must be retained: as the first
lines. What if I convert pages from WML to another format where the
first lines are reserved for some other use? It seems I cannot legally
do so!

The license does not seem to be GPLv2-compatible, as clause 3 is a weak
copyleft constraint: it seems that I cannot combine a page under this
license with a GPLv2-licensed document in a single derivative work,
since the latter should be released as a whole under the "Debian
Documentation License", but it cannot be, because the GPL'd part has
restrictions that are not present in the "Debian Documentation License"
and I cannot waive restrictions on parts I'm not the copyright holder
for!


If you are going to propose a BSD-style license, I would strongly
recommend the (unmodified) 2-clause BSD license:
http://www.gnu.org/licenses/info/BSD_2Clause.html

> 
> b) old contributors to the web site (i.e. all that have had CVS access
> to the
>    WWW CVS are for the past 10 years) should be contacted and ask to 
>    agree to this license change.

OK.

> 
> c) a note should be added to the Debian site (as a News item?)
> describing the
>    license change (and the reasons for the change) and giving a 6
>    month period for comments.

What's the use of this News item?
Aren't we already commenting on your proposed plan?

> 
> d) new contributors during that period should be asked to agree to the
>    license change

OK.

>    and to transfer (c) to SPI (GPG/PGP signed e-mail
>    would be a requisite for contributing, a paper trail would be even
>    best)

I disagree. There's no need to transfer copyrights, as long as licenses
are DFSG-free.
I personally would *not* be willing to transfer any copyright to SPI. 
Moreover copyright transfers require slow and boring paperwork.

> 
> e) from here on access to the CVS of the website should be given after
>    clearly stating (and getting and agreement) that any and all
>    contributions to the CVS, unless specified otherwise with clear (c)
>    statements in the code, will be (c) SPI and will be considered
>    "work under contract" 

I don't think you can claim it's work under contract, unless there
actually *is* a contract involved!
Voluntary contributions are not "work under contract", AFAICT.

[...]
> Let's please solve this once and for all.

Yes, please!


-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #118 received at 238245@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Francesco Poli <frx@firenze.linux.it>
Cc: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org, board@spi-inc.org
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Thu, 20 Apr 2006 01:37:43 +0200
[Message part 1 (text/plain, inline)]
On Thu, Apr 20, 2006 at 12:56:57AM +0200, Francesco Poli wrote:
> > 
> >    I suggest using a BSD-style license. The attached license is such a
> >    license. It is  based on the FreeBSD documentation license [3] and
> >    explicitely mentions translations.  In our case (the website) the
> >    'source code' is the wml, but I leave references to other sources
> >    (SGML, XML) that might apply to other documentation that the
> >    website might hold.
> 
> I do *not* think that the license you are proposing is a good one.
(...)

Maybe we should just use a simpler (i.e. technology neutral license) without
explicitly mentioning that the source = WML.

> Clause 1 restricts where the license text must be retained: as the first
> lines. What if I convert pages from WML to another format where the
> first lines are reserved for some other use? It seems I cannot legally
> do so!

How about saying "either first or last lines"?

> The license does not seem to be GPLv2-compatible, as clause 3 is a weak
> copyleft constraint: it seems that I cannot combine a page under this

I've removed that one.

> If you are going to propose a BSD-style license, I would strongly
> recommend the (unmodified) 2-clause BSD license:
> http://www.gnu.org/licenses/info/BSD_2Clause.html

The attached license is quite similar to the BSD license with the only 
differences being that there is no 'binary' form, there's just a compiled
form of the site (and explicitly lists some formats which the source might be
compiled too).

> > c) a note should be added to the Debian site (as a News item?)
> > describing the
> >    license change (and the reasons for the change) and giving a 6
> >    month period for comments.
> 
> What's the use of this News item?

Just to get wider coverage. Maybe an announcment to d-d-a would be best.

> Aren't we already commenting on your proposed plan?

Yes, but not every single DD that has contributed to the web pages is 
reading -www or -legal.

> >    and to transfer (c) to SPI (GPG/PGP signed e-mail
> >    would be a requisite for contributing, a paper trail would be even
> >    best)
> 
> I disagree. There's no need to transfer copyrights, as long as licenses
> are DFSG-free.

I added the (c) transfer in order to make it possible for SPI to relicense
the site in the future. In the website is not (c) SPI then our current
footer really doesn't make any sense.

> > e) from here on access to the CVS of the website should be given after
> >    clearly stating (and getting and agreement) that any and all
> >    contributions to the CVS, unless specified otherwise with clear (c)
> >    statements in the code, will be (c) SPI and will be considered
> >    "work under contract" 
> 
> I don't think you can claim it's work under contract, unless there
> actually *is* a contract involved!
> Voluntary contributions are not "work under contract", AFAICT.

The idea of that portion, which might be misunderstood as the wording is not
really accurate, is that if volunteers argue they "worked" for SPI for the
website development there is no need to have paperwork done for the (c)
transfer. If we drop the (c) transfer portion (I'm open to that, if people
don't want it to be there) then this should be dropped too.

AFAIK (in Spanish legislation at least) volunteer work can be considered work
"for contract" (note the quotes) in the sense that you work for a company (a
volunteer organisation) for free and you waive the rights to your work to it
(including IP rights, and copyrights). Since there is no real written
"contract" this does not conflict with the fact that the company you work for
(the one you have a contract with) might have stated that you cannot work for
others while working for them. 

As I said, however, those steps could be dropped, but then we have to
ask every contributor to have their contributions licensed under this license
(and cross our fingers that we will not have to change it in the future). We
should also probably have to change the (c) portion to list people that have
contributed in the site or, at the very least, say that SPI is not the (c)
holder.

Regards

Javier

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #123 received at 238245@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Francesco Poli <frx@firenze.linux.it>
Cc: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org, board@spi-inc.org
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Thu, 20 Apr 2006 01:50:07 +0200
[Message part 1 (text/plain, inline)]
On Thu, Apr 20, 2006 at 01:03:19AM +0200, Francesco Poli wrote:
> I agree that the GNU GPL v2 would be a perfectly reasonable choice for
> the Debian website.
> Several other GPLv2-compatible licenses are good choices too, however.

I'd rather use a simpler license for text content it is more understandable
and less subject to interpretation (note that embeded code in the wml files
in the website *should* be GPL). Unlike other technical documentation (such as
manuals or guides, see [0]) I don't think the GPL is a good license for the
website. But maybe that's just me.

> Out of curiousity, would you be willing to license your contributions
> under "GPLv2 only"?
> Or would you rather choose to license them under "GPLv2 or later"?

I'd rather have it be "GPLv2 only".

> >         As long as the licenses used are compatible, we may not need a
> >  common license. Standard footers can be provided for inclusion for
> >  each page.
> 
> That's a possible approach too.
> It requires more care and is somewhat more complicated, though.

Agreed. Nobody has brought up concerns about *other* licenses being used
until we talked about changing the one we are *using* right now. Believe it
or not, all the web pages have a footer saying that they are OPL and nobody
has ever complained asking for different licenses for *their* contributions
(not that I remember, at least). 

> > > d) new contributors during that period should be asked to agree to
> > >    the license change and to transfer (c) to SPI (GPG/PGP signed
> > >    e-mail would be a requisite for contributing, a paper trail would
> > >    be even best) 
> > 
> >         What reason should people assign copyright if the license is
> >  free?  I have no intention of doing so, for any past or future
> >  contributions.
> 
> Agreed.

In order to make it possible to do a license change in the future if needed
be and not have the web team track every single individual that has
contributed to the website (as is the case now). Even though we might end up
choosing a license we *think* is the best right now, there might come a time
we might want to change that. Maybe because it might turn out it was not
really the best license for the web pages for X or Y reason. Having SPI hold
the copyright simplifies things.

The fact no one has complained about the fact the footer to their
contributions to the web page says that all the pages are (c) SPI [1] made me
think that nobody deeply cared about *their* copyrights to the webpages. It
seems I was wrong.

Regards

Javier

[0] See my proposal for the DDP at
http://www.debian.org/doc/manuals/ddp-policy/ch-common.en.html#s2.2

[1] Notice that, again, Perl source code that generates parts of the web site
is *not* (c) SPI.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #128 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: debian-legal@lists.debian.org
Cc: debian-www@lists.debian.org, 238245@bugs.debian.org, board@spi-inc.org
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Thu, 20 Apr 2006 23:47:20 +0200
[Message part 1 (text/plain, inline)]
On Thu, 20 Apr 2006 01:37:43 +0200 Javier Fernández-Sanguino Peña wrote:

> On Thu, Apr 20, 2006 at 12:56:57AM +0200, Francesco Poli wrote:
> > > 
> > >    I suggest using a BSD-style license. The attached license is
> > >    such a license. It is  based on the FreeBSD documentation
> > >    license [3] and explicitely mentions translations.  In our case
> > >    (the website) the 'source code' is the wml, but I leave
> > >    references to other sources (SGML, XML) that might apply to
> > >    other documentation that the website might hold.
> > 
> > I do *not* think that the license you are proposing is a good one.
> (...)
> 
> Maybe we should just use a simpler (i.e. technology neutral license)
> without explicitly mentioning that the source = WML.

Indeed.
The 2-clause BSD license I suggested matches your description!  ;-)
Another good choice in the non-copyleft arena is the Expat (a.k.a. MIT)
license: http://www.jclark.com/xml/copying.txt


> 
> > Clause 1 restricts where the license text must be retained: as the
> > first lines. What if I convert pages from WML to another format
> > where the first lines are reserved for some other use? It seems I
> > cannot legally do so!
> 
> How about saying "either first or last lines"?

What if both first and last lines are reserved for other uses?

> 
> > The license does not seem to be GPLv2-compatible, as clause 3 is a
> > weak copyleft constraint: it seems that I cannot combine a page
> > under this
> 
> I've removed that one.
> 
> > If you are going to propose a BSD-style license, I would strongly
> > recommend the (unmodified) 2-clause BSD license:
> > http://www.gnu.org/licenses/info/BSD_2Clause.html
> 
> The attached license is quite similar to the BSD license with the only
> differences being that there is no 'binary' form, there's just a
> compiled form of the site (and explicitly lists some formats which the
> source might be compiled too).

This explicit listing of formats is one of the main problems with the
license you're proposing: it ties things up to specific technical
details that are really going to become obsolete soon.
Good licenses try hard to avoid that.

[...]
> In the website is not (c) SPI then
> our current footer really doesn't make any sense.

Indeed.

> 
> > > e) from here on access to the CVS of the website should be given
> > > after
> > >    clearly stating (and getting and agreement) that any and all
> > >    contributions to the CVS, unless specified otherwise with clear
> > >    (c) statements in the code, will be (c) SPI and will be
> > >    considered "work under contract" 
> > 
> > I don't think you can claim it's work under contract, unless there
> > actually *is* a contract involved!
> > Voluntary contributions are not "work under contract", AFAICT.
> 
> The idea of that portion, which might be misunderstood as the wording
> is not really accurate, is that if volunteers argue they "worked" for
> SPI for the website development there is no need to have paperwork
> done for the (c) transfer. If we drop the (c) transfer portion (I'm
> open to that, if people don't want it to be there) then this should be
> dropped too.
> 
> AFAIK (in Spanish legislation at least) volunteer work can be
> considered work "for contract" (note the quotes) in the sense that you
> work for a company (a volunteer organisation) for free and you waive
> the rights to your work to it (including IP rights, and copyrights).
> Since there is no real written "contract" this does not conflict with
> the fact that the company you work for (the one you have a contract
> with) might have stated that you cannot work for others while working
> for them.

I don't know if this argument could actually work in Spain.
I really doubt it can work in *any* jurisdiction where at least one
contributor lives...

> 
> As I said, however, those steps could be dropped, but then we have to
> ask every contributor to have their contributions licensed under this
> license (and cross our fingers that we will not have to change it in
> the future). We should also probably have to change the (c) portion to
> list people that have contributed in the site or, at the very least,
> say that SPI is not the (c) holder.

Listing contributors would be nice.
It must be done at least in comments, as long as contributors retain
their copyright, so why not doing it in a visible way?



N.B.: no need to Cc: me, as long as debian-legal is in the loop...


-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #133 received at 238245@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org
Cc: SPI Board of Directors <board@spi-inc.org>
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Thu, 20 Apr 2006 15:48:09 -0700
On Wed, 19 Apr 2006, Javier Fernández-Sanguino Peña wrote:
> In summary: The web pages license content should be changed from the
> OPL (non DFSG-free) to some other license (DFSG-free). As it is, the
> current content is not GPL compatible (so it cannot be reused, for
> example, in documentation produced by the DDP project).
> 
> This issue was brought up last in October 2005 to the SPI board and they said
> (based on the IRC log [2] there doesn't seem to be any minutes) that
> debian-www should tell them what to do. I don't find any other references to 
> this in the SPI Board archives.
> 
> So, Here's the plan I propose:
> 
> a) a proper license should be decided for the website.
> 
>    I suggest using a BSD-style license. The attached license is such a
>    license. It is  based on the FreeBSD documentation license [3] and
>    explicitely mentions translations.  In our case (the website) the
>    'source code' is the wml, but I leave references to other sources (SGML,
>    XML) that might apply to other documentation that the website might hold.

Should we decide to change the license, we should either use the MIT
license if we don't want it to be copyleft, or the GPL if we do. A
custom license is not something that we want to write, and especially
not without serious thought and consideration between people who have
a great deal of experience in writing licenses.
 
Contributing to license proliferation by a license which is not
compatible with the GPL and some other free software licenses is not
something that we want to do.


Don Armstrong

-- 
"There's nothing remarkable about it. All one has to do is hit the    
right keys at the right time and the instrument plays itself."
 -- Bach 

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #138 received at 238245@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: <debian-www@lists.debian.org>,<238245@bugs.debian.org>,<debian-legal@lists.debian.org>
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Fri, 21 Apr 2006 10:52:46 +0100
Javier =?iso-8859-1?Q?Fern=E1ndez-Sanguino_Pe=F1a?= <jfs@computer.org>
> a) a proper license should be decided for the website.
> 
>    I suggest using a BSD-style license. The attached license is such a
>    license.

I suggest using a BSD-style licence as default, but the attached one
is not one. Do we have other stuff under FBSD-doc terms?

[...]
> b) old contributors to the web site (i.e. all that have had CVS access to the
>    WWW CVS are for the past 10 years) should be contacted and ask to
>    agree to this license change.

I will help with this, if you wish.  I think I know how to get
today's contributors (webwml group) and any since the current
CVS started (cvs history and logs) but how to get 'em all?

> c) a note should be added to the Debian site (as a News item?) describing the
>    license change (and the reasons for the change) and giving a 6 month
>    period for comments.

I suggest shortening this period.

> d) new contributors during that period should be asked to agree to the
>    license change and to transfer (c) to SPI (GPG/PGP signed e-mail would be
>    a requisite for contributing, a paper trail would be even best)

Just seek a licence, rather than assignment.

> e) from here on access to the CVS of the website should be given after
>    clearly stating (and getting and agreement) that any and all contributions
>    to the CVS, unless specified otherwise with clear (c) statements in the
>    code, will be (c) SPI and will be considered "work under contract"

I don't understand why you think a contract is formed, as
the contributor is not getting anything in exchange for their
work. However, it seems a good idea for SPI to assert a copyright
interest in the work.

cc: -legal and -www only

Hope that helps,
-- 
MJR/slef
Laux nur mia opinio: vidu http://people.debian.org/~mjr/
Bv sekvu http://www.uk.debian.org/MailingLists/#codeofconduct




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #143 received at 238245@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Don Armstrong <don@debian.org>
Cc: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org, SPI Board of Directors <board@spi-inc.org>
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Fri, 21 Apr 2006 10:56:30 -0600
On Thu, 2006-04-20 at 15:48 -0700, Don Armstrong wrote:

> Should we decide to change the license, we should either use the MIT
> license if we don't want it to be copyleft, or the GPL if we do. A
> custom license is not something that we want to write, and especially
> not without serious thought and consideration between people who have
> a great deal of experience in writing licenses.
>  
> Contributing to license proliferation by a license which is not
> compatible with the GPL and some other free software licenses is not
> something that we want to do.

Thank you for saying that before I could get around to it, Don.  I
strongly agree.

Bdale




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #148 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: debian-legal@lists.debian.org
Cc: debian-www@lists.debian.org, 238245@bugs.debian.org, board@spi-inc.org
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Sat, 22 Apr 2006 00:40:35 +0200
[Message part 1 (text/plain, inline)]
On Fri, 21 Apr 2006 10:56:30 -0600 Bdale Garbee wrote:

> On Thu, 2006-04-20 at 15:48 -0700, Don Armstrong wrote:
> 
> > Should we decide to change the license, we should either use the MIT
> > license if we don't want it to be copyleft, or the GPL if we do. A
> > custom license is not something that we want to write, and
> > especially not without serious thought and consideration between
> > people who have a great deal of experience in writing licenses.
> >  
> > Contributing to license proliferation by a license which is not
> > compatible with the GPL and some other free software licenses is not
> > something that we want to do.
> 
> Thank you for saying that before I could get around to it, Don.  I
> strongly agree.

Needless to say, I agree too (as it should already be clear from my
other contributions to this discussion...).


-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #153 received at 238245@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org, SPI Board of Directors <board@spi-inc.org>
Subject: Re: Bug#238245: Proposed plan (and license) for the webpage relicensing
Date: Sat, 22 Apr 2006 01:22:53 +0200
[Message part 1 (text/plain, inline)]
On Thu, Apr 20, 2006 at 03:48:09PM -0700, Don Armstrong wrote:
> Should we decide to change the license, we should either use the MIT
> license if we don't want it to be copyleft, or the GPL if we do. A
> custom license is not something that we want to write, and especially
> not without serious thought and consideration between people who have
> a great deal of experience in writing licenses.

The last proposed licensed I sent is *not* a "new" license. It
is simply this license:
http://www.freebsd.org/copyright/freebsd-doc-license.html

The only change I made to it was substituting "FreeBSD Documentation Project"
for "Debian Project".

I don't believe the MIT license (without making changes to it to make it
explicitly list only *documents* instead of *software*) or the GPL would be
appropiate for many items in the web pages. But that might be just me.

> Contributing to license proliferation by a license which is not
> compatible with the GPL and some other free software licenses is not
> something that we want to do.

Please tell me how the last license I sent is incompatible to either the GPL
or any other free software license. Notice I would like to know it not for
the sake of this discussion, but for the sake of knowing how/if FreeBSD
documentation could be reused in Debian Documentation (most of which is
currently GPLd BTW).

Regards

Javier
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #158 received at 238245@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org, SPI Board of Directors <board@spi-inc.org>
Subject: Re: Bug#238245: Proposed plan (and license) for the webpage relicensing
Date: Sat, 22 Apr 2006 01:25:11 +0200
[Message part 1 (text/plain, inline)]
On Sat, Apr 22, 2006 at 01:22:53AM +0200, Javier Fernández-Sanguino Peña wrote:
> On Thu, Apr 20, 2006 at 03:48:09PM -0700, Don Armstrong wrote:
> > Should we decide to change the license, we should either use the MIT
> > license if we don't want it to be copyleft, or the GPL if we do. A
> > custom license is not something that we want to write, and especially
> > not without serious thought and consideration between people who have
> > a great deal of experience in writing licenses.
> 
> The last proposed licensed I sent is *not* a "new" license. It
> is simply this license:
> http://www.freebsd.org/copyright/freebsd-doc-license.html

Actually, it seems I did not attach the last version of the proposed license
in my last message. Attached now.

Regards

Javier
[proposed_debian-www_license.txt (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #163 received at 238245@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org
Cc: SPI Board of Directors <board@spi-inc.org>
Subject: Re: Bug#238245: Proposed plan (and license) for the webpage relicensing
Date: Sat, 22 Apr 2006 06:40:11 -0700
[Message part 1 (text/plain, inline)]
On Sat, 22 Apr 2006, Javier Fernández-Sanguino Peña wrote:
> On Thu, Apr 20, 2006 at 03:48:09PM -0700, Don Armstrong wrote:
> > Should we decide to change the license, we should either use the MIT
> > license if we don't want it to be copyleft, or the GPL if we do. A
> > custom license is not something that we want to write, and especially
> > not without serious thought and consideration between people who have
> > a great deal of experience in writing licenses.
> 
> The last proposed licensed I sent is *not* a "new" license. It
> is simply this license:
> http://www.freebsd.org/copyright/freebsd-doc-license.html
> 
> The only change I made to it was substituting "FreeBSD Documentation
> Project" for "Debian Project".

You've sent two totally different licenses to the list so far; I was
refering specifically to the license which was attached to the message
which I responded to. It should be clear why that particular license
is not GPL compatible.

Indeed, neither of the two licenses you've sent are just s/FreeBSD
Documentation/Debian/g; replacements... each of them have contained
other changes. Making modifications to an existing license has many of
the same pitfalls that drafting a totally new license does, and it's
not something that we want to get in the business of doing.[1]

> I don't believe the MIT license (without making changes to it to
> make it explicitly list only *documents* instead of *software*) or
> the GPL would be appropiate for many items in the web pages. But
> that might be just me.

If this is something that you're woried about, you can just replace
software with work. Indeed, the GPLv3 does this because there's no
point in generating confusion amoung people who think that software
means programs instead of meaning information that is represented in a
digital fashion. But frankly, it really makes no difference. Everyone
understands what you're supposed to do when you've got a GPLed work;
you just include the prefered form for modification. With an MITed
work there should be no confusion at all.
 
> Please tell me how the last license I sent is incompatible to either
> the GPL or any other free software license. Notice I would like to
> know it not for the sake of this discussion, but for the sake of
> knowing how/if FreeBSD documentation could be reused in Debian
> Documentation (most of which is currently GPLd BTW).

The FreeBSD documentation license is not compatible with the GPL
because it has a restriction on modification which the GPL itself does
not contain. It explicitely requires you to include the license as the
first lines of the file, unmodified, instead of including them in an
appropriate location.

The license you responded to this message with is not the FreeBSD
documentation license, so I've no desire to comment on it.


Don Armstrong
 
1: For those following allong at home, see the attached wdiffs.
-- 
Information wants to be free to kill again.
 -- Red Robot http://www.dieselsweeties.com/archive.php?s=1372


http://www.donarmstrong.com              http://rzlab.ucr.edu
[freebsd_v_debian_v1.wdiff (text/plain, attachment)]
[freebsd_v_debian_v2.wdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #168 received at 238245@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: debian-legal@lists.debian.org
Cc: debian-www@lists.debian.org, 238245@bugs.debian.org, SPI Board of Directors <board@spi-inc.org>
Subject: Re: Bug#238245: Proposed plan (and license) for the webpage relicensing
Date: Sat, 22 Apr 2006 16:47:53 +0200
* Javier Fernández-Sanguino Peña:

> Copyright 1997-2006 Software in the Public Interest, Inc. All rights reserved.

Is this correct?  Have all contributors assigned copyright to SPI?

>    2. Redistributions in compiled form (transformed to other DTDs, converted
>    to HTML, PDF, PostScript, RTF and other formats) must reproduce the above
>    copyright notice, this list of conditions and the following disclaimer in
>    the documentation and/or other materials provided with the distribution.

It looks to me as if this requires that the license and disclaimer
needs to be reproduced at the bottom of each web page (because that's
what you get as the "distribution" when you just request a single
page).  I don't think this is a good idea.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #173 received at 238245@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org, SPI Board of Directors <board@spi-inc.org>
Subject: Re: Bug#238245: Proposed plan (and license) for the webpage relicensing
Date: Sun, 23 Apr 2006 06:15:26 +0200
[Message part 1 (text/plain, inline)]
On Sat, Apr 22, 2006 at 06:40:11AM -0700, Don Armstrong wrote:
> > The only change I made to it was substituting "FreeBSD Documentation
> > Project" for "Debian Project".
> 
> You've sent two totally different licenses to the list so far; I was
> refering specifically to the license which was attached to the message
> which I responded to. It should be clear why that particular license
> is not GPL compatible.

The first one was much discussed. The second one was my proposed version
based on that discussion (unfortunately, I did not attach it when I should
have done it)

> Indeed, neither of the two licenses you've sent are just s/FreeBSD
> Documentation/Debian/g; replacements... each of them have contained
> other changes. Making modifications to an existing license has many of
> the same pitfalls that drafting a totally new license does, and it's
> not something that we want to get in the business of doing.[1]

Please review the changes to the *second* proposal:

1- s/FreeBSD/Debian/
2- remove SGML as the sources, since it does not apply to all our
documentation and, moreover, does not apply to the website (sources are 
mostly WML)
3- add HTML as an output
4- remove the limitation of having the license text in the first lines of the
  file
5- add a reference to translations (could be considered a "modification" to
  the source, however they are not in international IP law)

2 and 3 are *technical* changes to notes, they do not affect the license at all.
4 was requested in this list and I do agree that is necessary.
5 was added on my behalf and has no real impact on the license since, in its
absence, a translation would be considered a "modification" of the source.

I don't believe any of these changes introduces any new pitfalls, quite
the contrary, it removes them.

> If this is something that you're woried about, you can just replace
> software with work. Indeed, the GPLv3 does this because there's no
> point in generating confusion amoung people who think that software
> means programs instead of meaning information that is represented in a
> digital fashion. But frankly, it really makes no difference. Everyone
> understands what you're supposed to do when you've got a GPLed work;
> you just include the prefered form for modification. With an MITed
> work there should be no confusion at all.

There is no MITed "work" license, the MIT license explicitly mentions
software too. As for GPLv3, I will not get into details, but I rather not use
that license.

> The FreeBSD documentation license is not compatible with the GPL
> because it has a restriction on modification which the GPL itself does
> not contain. It explicitely requires you to include the license as the
> first lines of the file, unmodified, instead of including them in an
> appropriate location.

And that's precisely what I changed in my second proposal (which should have
been attached to Message-ID: <20060419233743.GA4068@javifsp.no-ip.org>)

Regards

Javier
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #178 received at 238245@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Florian Weimer <fw@deneb.enyo.de>, 238245@bugs.debian.org
Cc: debian-legal@lists.debian.org, debian-www@lists.debian.org, SPI Board of Directors <board@spi-inc.org>
Subject: Re: Bug#238245: Proposed plan (and license) for the webpage relicensing
Date: Sun, 23 Apr 2006 06:21:07 +0200
[Message part 1 (text/plain, inline)]
On Sat, Apr 22, 2006 at 04:47:53PM +0200, Florian Weimer wrote:
> * Javier Fernández-Sanguino Peña:
> 
> > Copyright 1997-2006 Software in the Public Interest, Inc. All rights reserved.
> 
> Is this correct?  Have all contributors assigned copyright to SPI?

Contributor assignment and the license itself are two different things. We
could just have the license and have a (c) statement different from the
above. Please don't mix stuff.

> >    2. Redistributions in compiled form (transformed to other DTDs, converted
> >    to HTML, PDF, PostScript, RTF and other formats) must reproduce the above
> >    copyright notice, this list of conditions and the following disclaimer in
> >    the documentation and/or other materials provided with the distribution.
> 
> It looks to me as if this requires that the license and disclaimer
> needs to be reproduced at the bottom of each web page (because that's
> what you get as the "distribution" when you just request a single
> page).  I don't think this is a good idea.

You're streching this a bit. The *whole* web site is the redistribution
of the sources and having a footer link that points to the license is just
as well. If you want to include a *single* file of the website (in a
document, in a package, whatever) then you should carry the license itself.
That is commonly done, in packages, in debian/copyright. I do think it makes
sense both for the website usage and for reuse in other locations (i.e.
packages like debian-doc).

That being said, we could change the website to make the license available in
every single page (maybe through HTML comments at the end of the pages to
prevent cluttering them). But I don't believe that would be necessary (or
sensible [1])

Regards

Javier

[1] As it would increase all page's size by 1571 bytes.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #183 received at 238245@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org
Subject: Re: Bug#238245: Proposed plan (and license) for the webpage relicensing
Date: Sat, 22 Apr 2006 21:58:11 -0700
To further underline what I have been saying, I object to any of my
(currently embarrassingly minor) contributions to the Debian web page
to be licensed under the terms of the proposed "Debian Free
Documentation License" or any other license which has been specially
drafted for the Debian web pages. We should be using existing, widely
examined and vetted licenses instead of bothering with writing our
own.[1]

If you have further questions about this issue, please e-mail me
privately off list so -www can go back to doing more substantiative
things.

On Sun, 23 Apr 2006, Javier Fernández-Sanguino Peña wrote:
> On Sat, Apr 22, 2006 at 06:40:11AM -0700, Don Armstrong wrote:
> > Indeed, neither of the two licenses you've sent are just s/FreeBSD
> > Documentation/Debian/g; replacements... each of them have
> > contained other changes.
> 
> 1- s/FreeBSD/Debian/
> 2- remove SGML as the sources, since it does not apply to all our
> documentation and, moreover, does not apply to the website (sources are 
> mostly WML)

You have effectively removed any definition in the license as to what
source code is.

> 3- add HTML as an output

The license explicitly lists the output forms that can be generated
from the source which is definetly suboptimal.

> 5- add a reference to translations (could be considered a
>   "modification" to the source, however they are not in
>   international IP law)

Lets stop here before going any further: There's no such thing as
"international IP law". The very term "IP" is in itself a massive
confusion of three separate branches of law which differ widely
between different jurisdictions. Furthermore, it's definetly not clear
that in any of the jursidictions that I'm aware of that a translation
would not be subject to the rules of the license that apply to any
other form of derivative work. If you know differently, please cite
relevant law and/or cases.

> 2 and 3 are *technical* changes to notes, they do not affect the
> license at all.

2 and 3 quite clearly affect the license.

> I don't believe any of these changes introduces any new pitfalls,
> quite the contrary, it removes them.
 
> > With an MITed work there should be no confusion at all.
> 
> There is no MITed "work" license,

I'm refering to a work licensed under the MIT license. If it's too
confusing, you can s/software/work/.

> the MIT license explicitly mentions software too.

If we can distribute it in Debian, it's software. We use work in place
of software to avoid this exactly line of argument, but it should be
abundantly clear what software means in this context.

> As for GPLv3, I will not get into details, but I rather not use that
> license.

You cannot use it yet because it does not yet exist in it's final
form. That said, if you have a problem with GPLv3, you should be
discussing those problems using gplv3.fsf.org so those of us who are
on committees can address the issues that you have with the license.
[Of course, if your issue is with copyleft licenses in general,
there's not much that I'm going to be able to do for you.]
 

Don Armstrong


1: Considering the fact that I've been relatively heavily involved in
the committee part of the GPLv3 process, I'd say that I have a
relatively reasonable understanding of the amount of work that it
takes to fully understand the consequences of a license change which
is not altogether grand in it's scope. It's 4 months into the process,
and we're still discovering new problems.
-- 
Of course, there are ceases where only a rare individual will have the
vision to perceive a system which governs many people's lives; a
system which had never before even been recognized as a system; then
such people often devote their lives to convincing other people that
the system really is there and that it aught to be exited from. 
 -- Douglas R. Hofstadter _Gödel Escher Bach. Eternal Golden Braid_

http://www.donarmstrong.com              http://rzlab.ucr.edu



Bug 238245 cloned as bug 388141. Request was from Nathanael Nerode <neroden@fastmail.fm> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #190 received at 238245@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: 388141@bugs.debian.org, 238245@bugs.debian.org
Subject: Discussions elsewhere
Date: Wed, 12 Mar 2008 15:51:55 +0000
These two bugs are being discussed by DPL candidates after
http://lists.debian.org/debian-vote/2008/03/msg00065.html
and the current DPL has been asked the current status by an SPI
board member, as reported in
http://lists.spi-inc.org/pipermail/spi-general/2008-March/002538.html

One candidate's team in the -vote thread suggests writing up a DEP.

Can we reach broad consensus on 2-clause-BSD-style as default with
other DFSG licences like GPLv2 being allowed?  If that's not
acceptable, please say what change needs to be made for you to agree.

Thanks for any help,
-- 
MJR/slef
My Opinion Only: see http://people.debian.org/~mjr/
Please follow http://www.uk.debian.org/MailingLists/#codeofconduct





Added indication that bug 238245 blocks 614497 Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Mon, 21 Feb 2011 23:31:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Wed, 01 Jun 2011 13:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bradley M. Kuhn" <bkuhn@ebb.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 01 Jun 2011 13:27:06 GMT) Full text and rfc822 format available.

Message #197 received at 238245@bugs.debian.org (full text, mbox):

From: "Bradley M. Kuhn" <bkuhn@ebb.org>
To: <238245@bugs.debian.org>
Cc: <debian-www@lists.debian.org>, <debian-legal@lists.debian.org>
Subject: Volunteer to help with mass-relicensing of website when the time comes to do so (was Re: Proposed plan (and license) for the webpage relicensing)
Date: Wed, 01 Jun 2011 09:14:11 -0400
Someone recently pointed me to this thread in a discussion about why the
Debian website still says "Copyright SPI" and is licensed under OPL.  I
wanted to chime in to volunteer my help.

Tommi Vainikainen wrote on 2005-10-16:
>>>> Does missing paperwork create a problem?

Francesco Poli wrote on 2005-10-16:
>>> I think it does, unfortunately.
...
>>> A less difficult solution is ...  simply asking for a license
>>> change: each copyright holder should be tracked, contacted and asked
>>> to agree with the relicensing.

Javier Fernández-Sanguino Peña wrote on 2006-04-19:
>> b) old contributors to the web site (i.e. all that have had CVS access to the
>>    WWW CVS are for the past 10 years) should be contacted and ask to
>>    agree to this license change.

MJ Ray wrote on 2006-04-21:
> I will help with this, if you wish.

I also wanted to volunteer my time to help with this part of the
solution whenever the Debian community is ready to move forward.  I have
some experiencing handling mass-relicensing of copyrights when no
copyright assignments are in place.  For example, through my work at the
Software Freedom Conservancy, I assisted the Squeak community in
relicensing their software under a Free Software license (previously it
had been under a semi-Free Software, "no commercial only" license).

It's a common misconception that relicensing cannot be done without
copyright assignment and/or by getting explicit, written assent from
each copyright holder.  While explicit and written assent from each
copyright holder is the ideal, various public mechanisms and call for
comment periods can be used for those contributors that are difficult to
track down.

I don't think there's any need to go into the details about this now; my
point in sending this email is to offer my help as a volunteer when the
Debian community is ready to handle the relicensing from OPL.
-- 
   -- bkuhn




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Wed, 01 Jun 2011 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 01 Jun 2011 17:33:03 GMT) Full text and rfc822 format available.

Message #202 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: "Bradley M. Kuhn" <bkuhn@ebb.org>
Cc: <238245@bugs.debian.org>, <debian-www@lists.debian.org>, <debian-legal@lists.debian.org>
Subject: Re: Volunteer to help with mass-relicensing of website when the time comes to do so (was Re: Proposed plan (and license) for the webpage relicensing)
Date: Wed, 1 Jun 2011 19:12:15 +0200
[Message part 1 (text/plain, inline)]
On Wed, 01 Jun 2011 09:14:11 -0400 Bradley M. Kuhn wrote:

> Someone recently pointed me to this thread in a discussion about why the
> Debian website still says "Copyright SPI" and is licensed under OPL.  I
> wanted to chime in to volunteer my help.
[...]
> my point in sending this email is to offer my help as a volunteer when the
> Debian community is ready to handle the relicensing from OPL.

Your offer to help is really appreciated, at least from my side.
Thanks a lot indeed!


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Tue, 17 Jan 2012 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 17 Jan 2012 22:15:04 GMT) Full text and rfc822 format available.

Message #207 received at 238245@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: 238245@bugs.debian.org
Subject: Bug#238245: license choice - consensus on dual MIT/GPL-2 ?
Date: Tue, 17 Jan 2012 23:11:48 +0100
[Message part 1 (text/plain, inline)]
[ TL;DR: would you object re-licensing www.d.o content under dual
  MIT/Expat + GPL-2 ? ]

Hi everybody,
  as you might have noticed the webmasters have recently restarted [1]
the discussion on how to fix this and its "colleague" bug report,
#388141.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=388141#206

The initial idea was to separate two concerns: (a) obtaining permission
to re-license, (b) pick a license and do the re-licensing. The
separation has some appeal: we can fix #388141 without having to fight
over a license to fix this bug (#238245) first :-P

But it has the important drawback to expose us to a sort of "necessary
evil": either seek copyright assignment or seek a blanket permission to
relicense under a large set of licenses until we pick one (see [1] for
details).

We can avoid that by reaching consensus on a license before asking for
the re-licensing permission. Which is also a prerequisite to fix this
bug. If we can do that quickly we can avoid both the (not so) necessary
evil and the risk of losing the current momentum in fixing these issues
once and for all!


I've been asked to help in reaching consensus on the license choice, so
here we go.

Looking at past discussions in both #238245 and #388141, I believe there
can already be consensus on re-licensing www.debian.org content [2]
under a dual-license MIT/Expat + GPL version 2 or above.  Would anyone
object such a choice?

[2] more precisely: all material under webwml, including original
    content, translation, support scripts, etc)


The reasons of the above proposal are:

- According to my reading of past discussions, MIT and GPL-2 seem to be
  viable choices with supporters on both camps
- The two licenses are compatible
- Dual licensing, introduced above, is to avoid having a default license
  and an alternative choice; both apply
- The "or above", introduced above, is to give some future-proof-ness to
  the copyleft side, given it supports it
  (I understand some people have grudges with "or above" clauses; we can
  drop it if anyone feel strongly about it)


What do you think?

Thanks for your attention,
Cheers.


PS I think it would help the discussion if we avoid comments that *only*
   state "I'd rather go for $license". If you comment in that direction,
   please also clarifies whether you'd be fine with the above option.
   Also, please remind that the final word will be, as usual, up to the
   actual contributors to the Debian website.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Tue, 17 Jan 2012 22:39:06 GMT) Full text and rfc822 format available.

Message #210 received at 238245@bugs.debian.org (full text, mbox):

From: Andrei Popescu <andreimpopescu@gmail.com>
To: Stefano Zacchiroli <leader@debian.org>, 238245@bugs.debian.org
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2 ?
Date: Wed, 18 Jan 2012 00:38:01 +0200
[Message part 1 (text/plain, inline)]
On Ma, 17 ian 12, 23:11:48, Stefano Zacchiroli wrote:
> [ TL;DR: would you object re-licensing www.d.o content under dual
>   MIT/Expat + GPL-2 ? ]
... 
> What do you think?

Not sure I understand: if this goes through will all material be 
dual-licensed or it's just that everybody chooses one of the two 
licenses and as a consequence the whole site is dual-licensed (as an 
aggregate work)?

Thanks,
Andrei
-- 
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Wed, 18 Jan 2012 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <alexander@schmehl.info>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 18 Jan 2012 09:15:15 GMT) Full text and rfc822 format available.

Message #215 received at 238245@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <alexander@schmehl.info>
To: Stefano Zacchiroli <leader@debian.org>, 238245@bugs.debian.org
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2 ?
Date: Wed, 18 Jan 2012 10:12:37 +0100
Hi!

Am 17.01.2012 23:11, schrieb Stefano Zacchiroli:

> Looking at past discussions in both #238245 and #388141, I believe there
> can already be consensus on re-licensing www.debian.org content [2]
> under a dual-license MIT/Expat + GPL version 2 or above.  Would anyone
> object such a choice?

Would me fine with me, however looking through the commits it did over
the years I remembered my additions to www.debian.org/misc/awards.  I
don't own the copyight to those pictures, so we need a exception for
that page.


Best regards,
  ALexander




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Wed, 18 Jan 2012 12:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 18 Jan 2012 12:30:54 GMT) Full text and rfc822 format available.

Message #220 received at 238245@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Andrei Popescu <andreimpopescu@gmail.com>
Cc: 238245@bugs.debian.org
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2 ?
Date: Wed, 18 Jan 2012 13:09:21 +0100
[Message part 1 (text/plain, inline)]
On Wed, Jan 18, 2012 at 12:38:01AM +0200, Andrei Popescu wrote:
> Not sure I understand: if this goes through will all material be 
> dual-licensed or it's just that everybody chooses one of the two 
> licenses and as a consequence the whole site is dual-licensed (as an 
> aggregate work)?

The former: people will need to agree to re-license their contributions
under dual MIT/GPL-2 license; in the end each contribution, as well as
the website as a whole [1], will be dual-licensed.

Cheers.

[1] modulo specific exceptions, like the one mentioned by Alexander
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Wed, 18 Jan 2012 13:05:19 GMT) Full text and rfc822 format available.

Message #223 received at 238245@bugs.debian.org (full text, mbox):

From: Andrei Popescu <andreimpopescu@gmail.com>
To: Stefano Zacchiroli <leader@debian.org>, 238245@bugs.debian.org
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2 ?
Date: Wed, 18 Jan 2012 15:03:47 +0200
[Message part 1 (text/plain, inline)]
On Mi, 18 ian 12, 13:09:21, Stefano Zacchiroli wrote:
> On Wed, Jan 18, 2012 at 12:38:01AM +0200, Andrei Popescu wrote:
> > Not sure I understand: if this goes through will all material be 
> > dual-licensed or it's just that everybody chooses one of the two 
> > licenses and as a consequence the whole site is dual-licensed (as an 
> > aggregate work)?
> 
> The former: people will need to agree to re-license their contributions
> under dual MIT/GPL-2 license; in the end each contribution, as well as
> the website as a whole [1], will be dual-licensed.

Thanks for clarifying :)

Did you consider the possibility that some contributors[1] may object to 
allowing *also* MIT/Expat? Maybe I'm being too cautious, but some people 
might consider MIT/Expat too liberal. 

[1] No, not me, I have no problem to relicense my meager contributions 
with MIT/Expat only ;)

Regards,
Andrei
-- 
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Wed, 18 Jan 2012 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 18 Jan 2012 13:48:11 GMT) Full text and rfc822 format available.

Message #228 received at 238245@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Stefano Zacchiroli <leader@debian.org>, 238245@bugs.debian.org
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2 ?
Date: Wed, 18 Jan 2012 14:46:19 +0100
* Stefano Zacchiroli <leader@debian.org> [2012-01-17 23:11:48 CET]:
> [ TL;DR: would you object re-licensing www.d.o content under dual
>   MIT/Expat + GPL-2 ? ]

 Shouldn't that be GPL-2+ (or later option)?  With MIT it isn't
explicitly needed, but still ...   Ah, later in the text you wrote that
you mean the or later part, so given DEP5 it would had been more clear
if you stated here already GPL-2+ to make that clear in the TL;DR part.
:)

 No objection at all from this end of the globe, neither for past nor
for future contributions.

 Enjoy,
Rhonda
-- 
Fühlst du dich mutlos, fass endlich Mut, los      |
Fühlst du dich hilflos, geh raus und hilf, los    | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los   | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los    |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Wed, 18 Jan 2012 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 18 Jan 2012 18:45:03 GMT) Full text and rfc822 format available.

Message #233 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Stefano Zacchiroli <leader@debian.org>
Cc: Andrei Popescu <andreimpopescu@gmail.com>, 238245@bugs.debian.org
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2 ?
Date: Wed, 18 Jan 2012 19:42:05 +0100
[Message part 1 (text/plain, inline)]
On Wed, 18 Jan 2012 13:09:21 +0100 Stefano Zacchiroli wrote:

> On Wed, Jan 18, 2012 at 12:38:01AM +0200, Andrei Popescu wrote:
> > Not sure I understand: if this goes through will all material be 
> > dual-licensed or it's just that everybody chooses one of the two 
> > licenses and as a consequence the whole site is dual-licensed (as an 
> > aggregate work)?
> 
> The former: people will need to agree to re-license their contributions
> under dual MIT/GPL-2 license; in the end each contribution, as well as
> the website as a whole [1], will be dual-licensed.
[...]
> [1] modulo specific exceptions, like the one mentioned by Alexander

First of all Stefano, thanks for trying to gain consensus on the target
license for the re-licensing!

However, I think you should clarify what you mean by "dual-licensing".

"Dual-licensing" is usually intended to mean that both licenses are
being offered and the recipient of the work may choose either one,
according to his/her own preferences.
If this is what you mean, then it should be noted that "dual-licensed
under Expat/MIT and GPLv2+" is effectively equivalent to "licensed
under the Expat/MIT", since the Expat license's permissions are a
superset of GPLv2+ license's ones, and Expat license's restrictions
are a subset of GPLv2+ license's ones.
Hence, I would suggest dropping the confusing addition of the GPLv2+:
please just ask for consensus on re-licensing under the Expat/MIT
license (while reminding people that this license is indeed
GPL-compatible).

If instead, by "dual-licensing", you (strangely) mean that the
recipient of the work has to comply with both licenses at the same time,
then your proposal is effectively equivalent to asking for consensus
on re-licensing under the GNU GPL v2 or later.
In this case, I would suggest doing just that, in order to avoid
confusion.

Please disambiguate: which one is the intended meaning?



-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Wed, 18 Jan 2012 22:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 18 Jan 2012 22:54:04 GMT) Full text and rfc822 format available.

Message #238 received at 238245@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>
Cc: 238245@bugs.debian.org
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2 ?
Date: Wed, 18 Jan 2012 23:51:55 +0100
[Message part 1 (text/plain, inline)]
On Wed, Jan 18, 2012 at 07:42:05PM +0100, Francesco Poli wrote:
> However, I think you should clarify what you mean by "dual-licensing".
> 
> "Dual-licensing" is usually intended to mean that both licenses are
> being offered and the recipient of the work may choose either one,
> according to his/her own preferences.

That is what I meant, yes. (TBH, is also the only meaning of
"dual-licensing" I'm aware of.)

> If this is what you mean, then it should be noted that "dual-licensed
> under Expat/MIT and GPLv2+" is effectively equivalent to "licensed
> under the Expat/MIT", since the Expat license's permissions are a
> superset of GPLv2+ license's ones, and Expat license's restrictions
> are a subset of GPLv2+ license's ones.

You're quite right (at least, under most interpretations of the two
licenses; cause with these things you really never know...).  As in
other cases of dual MIT/GPL licensing, the point is being clear in the
fact that recipient can choose both . So that if they know very little
about licenses, but they know they like (or can use) one of the two in a
specific context, they will be happy without having to know explicitly
about license compatibility.

You might argue that this kind of "communication" precaution is
pointless for material such as www.d.o content, but after all ... why
not? I don't see it as confusing.  After all, if someone has to object
to this choice on the basis that it is too liberal, they will do the
same even if we present it as "MIT/Expat" only.

Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Fri, 20 Jan 2012 17:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Fri, 20 Jan 2012 17:57:06 GMT) Full text and rfc822 format available.

Message #243 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Stefano Zacchiroli <leader@debian.org>
Cc: 238245@bugs.debian.org
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2 ?
Date: Fri, 20 Jan 2012 18:53:56 +0100
[Message part 1 (text/plain, inline)]
On Wed, 18 Jan 2012 23:51:55 +0100 Stefano Zacchiroli wrote:

> On Wed, Jan 18, 2012 at 07:42:05PM +0100, Francesco Poli wrote:
> > However, I think you should clarify what you mean by "dual-licensing".
> > 
> > "Dual-licensing" is usually intended to mean that both licenses are
> > being offered and the recipient of the work may choose either one,
> > according to his/her own preferences.
> 
> That is what I meant, yes.

Thanks for clarifying.

> (TBH, is also the only meaning of
> "dual-licensing" I'm aware of.)

It's the usual meaning, indeed, but... one may never be sure,
especially in a situation where dual-licensing seems to be an
over-complicated way to license under the plain Expat/MIT!

> 
> > If this is what you mean, then it should be noted that "dual-licensed
> > under Expat/MIT and GPLv2+" is effectively equivalent to "licensed
> > under the Expat/MIT", since the Expat license's permissions are a
> > superset of GPLv2+ license's ones, and Expat license's restrictions
> > are a subset of GPLv2+ license's ones.
> 
> You're quite right (at least, under most interpretations of the two
> licenses; cause with these things you really never know...).  As in
> other cases of dual MIT/GPL licensing, the point is being clear in the
> fact that recipient can choose both . So that if they know very little
> about licenses, but they know they like (or can use) one of the two in a
> specific context, they will be happy without having to know explicitly
> about license compatibility.

Well, the Expat/MIT license is compatible with countless other licenses.
Following the same reasoning, one could argue that the Debian official
web site should be explicitly multiple-licensed under all of them!

I would disagree, but, well, I am not really convinced about the
Expat/GPL dual-license, either... 

> 
> You might argue that this kind of "communication" precaution is
> pointless for material such as www.d.o content, but after all ... why
> not? I don't see it as confusing.

I think it would make a number of people (wrongly) think that the
Debian Project decision-makers know very little about licenses...

> After all, if someone has to object
> to this choice on the basis that it is too liberal, they will do the
> same even if we present it as "MIT/Expat" only.

This is certainly true, but it was not my point.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Sat, 21 Jan 2012 15:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 21 Jan 2012 15:12:07 GMT) Full text and rfc822 format available.

Message #248 received at 238245@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 238245@bugs.debian.org
Cc: Stefano Zacchiroli <leader@debian.org>, Francesco Poli <invernomuto@paranoici.org>
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2+ ?
Date: Sat, 21 Jan 2012 11:08:55 -0400
[Message part 1 (text/plain, inline)]
Hi,

First of all, thanks Stefano to step in this long standing issue.

Le 20/01/2012 13:53, Francesco Poli a écrit :
> On Wed, 18 Jan 2012 23:51:55 +0100 Stefano Zacchiroli wrote:
>> On Wed, Jan 18, 2012 at 07:42:05PM +0100, Francesco Poli wrote:

>>> If this is what you mean, then it should be noted that "dual-licensed
>>> under Expat/MIT and GPLv2+" is effectively equivalent to "licensed
>>> under the Expat/MIT",

>> You're quite right (at least, under most interpretations of the two
>> licenses; cause with these things you really never know...).  As in
>> other cases of dual MIT/GPL licensing, the point is being clear in the
>> fact that recipient can choose both

> I think it would make a number of people (wrongly) think that the
> Debian Project decision-makers know very little about licenses...

I take it as a remark, not as an objection, and thus propose the
attached patch if we agree on the dual licensing (@@date@@ will of
course be replaced once agreed on the license choice and its wording).
You can have a look at the built page on my test server:

	http://tilapin.org/debian/license.en

If my understanding of dual licensing is not too defective, we will be
able to drop one of them later if we feel strongly about it. Therefore I
assume that Francesco's point can be raised later if it really matters,
and thus is not a blocker here and now.

Cheers

David
[license.wml.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Sat, 21 Jan 2012 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 21 Jan 2012 16:33:03 GMT) Full text and rfc822 format available.

Message #253 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: David Prévot <taffit@debian.org>
Cc: 238245@bugs.debian.org, Stefano Zacchiroli <leader@debian.org>
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2+ ?
Date: Sat, 21 Jan 2012 17:28:15 +0100
[Message part 1 (text/plain, inline)]
On Sat, 21 Jan 2012 11:08:55 -0400 David Prévot wrote:

[...]
> Le 20/01/2012 13:53, Francesco Poli a écrit :
> > On Wed, 18 Jan 2012 23:51:55 +0100 Stefano Zacchiroli wrote:
> >> On Wed, Jan 18, 2012 at 07:42:05PM +0100, Francesco Poli wrote:
> 
> >>> If this is what you mean, then it should be noted that "dual-licensed
> >>> under Expat/MIT and GPLv2+" is effectively equivalent to "licensed
> >>> under the Expat/MIT",
> 
> >> You're quite right (at least, under most interpretations of the two
> >> licenses; cause with these things you really never know...).  As in
> >> other cases of dual MIT/GPL licensing, the point is being clear in the
> >> fact that recipient can choose both
> 
> > I think it would make a number of people (wrongly) think that the
> > Debian Project decision-makers know very little about licenses...
> 
> I take it as a remark, not as an objection,

Well, I intended it to be a minor objection (thus a "non-blocking"
objection), but anyway...

> and thus propose the
> attached patch if we agree on the dual licensing (@@date@@ will of
> course be replaced once agreed on the license choice and its wording).
> You can have a look at the built page on my test server:
> 
> 	http://tilapin.org/debian/license.en

I would use the classical Expat URL for the Expat/MIT license:
http://www.jclark.com/xml/copying.txt
rather than the one hosted by OSI.
Moreover, as far as the Expat license is concerned, I would not talk
about any "latest version", since the Expat license is not given any
distinguishing version number: I would therefore just say
"(which is usually available at http://www.jclark.com/xml/copying.txt)"

The rest seems to be OK (apart from the very idea of the Expat/GPL
dual-licensing, which I have already commented previously).

> 
> If my understanding of dual licensing is not too defective, we will be
> able to drop one of them later if we feel strongly about it. Therefore I
> assume that Francesco's point can be raised later if it really matters,
> and thus is not a blocker here and now.

This seems to be true, even though such a strategy looks sub-optimal to
me...


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Sat, 21 Jan 2012 17:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 21 Jan 2012 17:00:06 GMT) Full text and rfc822 format available.

Message #258 received at 238245@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 238245@bugs.debian.org
Cc: Francesco Poli <invernomuto@paranoici.org>, Stefano Zacchiroli <leader@debian.org>
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2+ ?
Date: Sat, 21 Jan 2012 12:57:59 -0400
[Message part 1 (text/plain, inline)]
Le 21/01/2012 12:28, Francesco Poli a écrit :
> On Sat, 21 Jan 2012 11:08:55 -0400 David Prévot wrote:

> I would use the classical Expat URL for the Expat/MIT license:
[…]
> Moreover, as far as the Expat license is concerned, I would not talk
> about any "latest version",

Thank you Francesco for your remarks, attached patch and built page
updated accordingly:

	http://tilapin.org/debian/license.en

Regards

David
[license.wml.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Sat, 21 Jan 2012 17:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 21 Jan 2012 17:24:09 GMT) Full text and rfc822 format available.

Message #263 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: David Prévot <taffit@debian.org>
Cc: 238245@bugs.debian.org, Stefano Zacchiroli <leader@debian.org>
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2+ ?
Date: Sat, 21 Jan 2012 18:22:11 +0100
[Message part 1 (text/plain, inline)]
On Sat, 21 Jan 2012 12:57:59 -0400 David Prévot wrote:

> Le 21/01/2012 12:28, Francesco Poli a écrit :
> > On Sat, 21 Jan 2012 11:08:55 -0400 David Prévot wrote:
> 
> > I would use the classical Expat URL for the Expat/MIT license:
> […]
> > Moreover, as far as the Expat license is concerned, I would not talk
> > about any "latest version",
> 
> Thank you Francesco for your remarks,

You're welcome!

> attached patch and built page
> updated accordingly:
> 
> 	http://tilapin.org/debian/license.en

It looks better, now.
Thanks for your time!

Bye.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Sun, 22 Jan 2012 22:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 22 Jan 2012 22:24:06 GMT) Full text and rfc822 format available.

Message #268 received at 238245@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Stefano Zacchiroli <leader@debian.org>, 238245@bugs.debian.org
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2 ?
Date: Mon, 23 Jan 2012 09:17:18 +1100
[Message part 1 (text/plain, inline)]
On Tue, Jan 17, 2012 at 11:11:48PM +0100, Stefano Zacchiroli wrote:
> [ TL;DR: would you object re-licensing www.d.o content under dual
>   MIT/Expat + GPL-2 ? ]

> What do you think?
I am happy for all my contributions I have done for the Debian website
(which admittedly have not been a lot recently) including any of the
scripts or php dynamic pages (if any are left) to be re-licensed 
under the dual-license MIT/Expat and GPL-2+ I'm not sure if nm.d.o
carries any of my code anymore but it covers that.

I have no problems with the "or later" and actually consider it an
essential part of the license for GPL.

FWIW anything I contribute in future can also be licensed under this
dual license too.

Stefano, there's a bunch of stuff at SPI I did too, let me know if they
want something similar.  I cannot remember now what I said about their
logo for example.

 - Craig

-- 
Craig Small VK2XLZ   http://enc.com.au/          csmall at : enc.com.au
Debian GNU/Linux     http://www.debian.org/      csmall at : debian.org
GPG fingerprint:     5D2F B320 B825 D939 04D2  0519 3938 F96B DF50 FEA5
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Tue, 24 Jan 2012 09:42:57 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 24 Jan 2012 09:43:05 GMT) Full text and rfc822 format available.

Message #273 received at 238245@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: 238245@bugs.debian.org
Cc: David Prévot <taffit@debian.org>
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2 ?
Date: Tue, 24 Jan 2012 10:41:53 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jan 17, 2012 at 11:11:48PM +0100, Stefano Zacchiroli wrote:
> Looking at past discussions in both #238245 and #388141, I believe there
> can already be consensus on re-licensing www.debian.org content [2]
> under a dual-license MIT/Expat + GPL version 2 or above.  Would anyone
> object such a choice?

One week into this, it seems no one objected. Most comments have been in
favor of this choice; one comment (by Francesco) would prefer a
different wording but would pick a functionally equivalent license
(MIT/Expat alone). Thanks to everybody.

It seems we've consensus on the license choice \o/


On Sat, Jan 21, 2012 at 12:57:59PM -0400, David Prévot wrote:
> +Since @@day@@ January 2012, the new material can be redistributed
> +and/or modified under the terms of the <a href="legal/licenses/mit">\
> +MIT (Expat) License</a> (which is usually available at
> +<url http://www.jclark.com/xml/copying.txt>) or, at your option, of the
> +<a href="legal/licenses/gpl2">GNU General Public License</a>; either
> +version??2 of the License, or any later version (the latest version is
                              ^^^
as a minor nitpick, I would add "(at your option)" here.

Looking forward for David to push the big red button :-)


Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Reply sent to David Prévot <taffit@debian.org>:
You have taken responsibility. (Tue, 24 Jan 2012 21:57:07 GMT) Full text and rfc822 format available.

Notification sent to Tatsuya Kinoshita <tats@vega.ocn.ne.jp>:
Bug acknowledged by developer. (Tue, 24 Jan 2012 21:57:07 GMT) Full text and rfc822 format available.

Message #278 received at 238245-done@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: Stefano Zacchiroli <leader@debian.org>, 238245-done@bugs.debian.org, The Debian Web site <debian-www@lists.debian.org>
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2+
Date: Tue, 24 Jan 2012 17:54:56 -0400
[Message part 1 (text/plain, inline)]
Le 24/01/2012 05:41, Stefano Zacchiroli a écrit :

> It seems we've consensus on the license choice \o/
> 
> On Sat, Jan 21, 2012 at 12:57:59PM -0400, David Prévot wrote:
[…]
>> +<a href="legal/licenses/gpl2">GNU General Public License</a>; either
>> +version??2 of the License, or any later version (the latest version is
>                               ^^^
> as a minor nitpick, I would add "(at your option)" here.

Sure, I thought it wasn't needed, thanks for the fix.

> Looking forward for David to push the big red button :-)

Done, it will be online in three or four hours (I pick tomorrow's date
to be on the safe side). Thanks a lot Stefano for pushing to an accurate
solution of this long standing issue.

We'll soon update #388141 to document the status of pages that were
edited before now, the relicensing workflow and alike, but I'm really
happy to press now the big red button for this first step!

Cheers

David

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. (Sat, 28 Jan 2012 14:07:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 28 Jan 2012 14:07:03 GMT) Full text and rfc822 format available.

Message #283 received at 238245@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Stefano Zacchiroli <leader@debian.org>, 238245@bugs.debian.org
Cc: David Prévot <taffit@debian.org>
Subject: Re: Bug#238245: license choice - consensus on dual MIT/GPL-2 ?
Date: Sun, 29 Jan 2012 00:58:09 +1100
On Tue, Jan 24, 2012 at 10:41:53AM +0100, Stefano Zacchiroli wrote:
> On Tue, Jan 17, 2012 at 11:11:48PM +0100, Stefano Zacchiroli wrote:
> > +<a href="legal/licenses/gpl2">GNU General Public License</a>; either
> > +version??2 of the License, or any later version (the latest version is
>                               ^^^
> as a minor nitpick, I would add "(at your option)" here.
I would say its an essential part of the whole structure the "at your
option" bit.  It is for the GPL in general.

 - Craig
-- 
Craig Small VK2XLZ   http://enc.com.au/          csmall at : enc.com.au
Debian GNU/Linux     http://www.debian.org/      csmall at : debian.org
GPG fingerprint:     5D2F B320 B825 D939 04D2  0519 3938 F96B DF50 FEA5




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Feb 2012 07:35:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:56:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.